.homepage-benefits-section {
    display: flex;
    width: 100%;
    padding: 80px 0;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: var(--Light-blue, #E9F5F8);

    .container {
        display: flex;
        gap: 80px;
    }

    .text-wrapper {
        flex: 1;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;

        h2 {
            color: var(--dark-blue, #002B46);
            font-family: Demo;
            font-size: 48px;
            font-style: normal;
            font-weight: 400;
            line-height: 120%; 
            margin: 0;
        }

        p {
            color: var(--dark-blue, #002B46);
            font-family: Inter;
            font-size: 18px;
            font-style: normal;
            font-weight: 400;
            line-height: 28px;
            margin: 0;
            max-width: 464px;
        }

        a {
            color: var(--turquoise-blue, #00B5D3);
            font-family: Inter;
            font-size: 18px;
            font-style: normal;
            font-weight: 400;
            line-height: 28px;
            text-decoration-line: underline;
            text-decoration-style: solid;
            text-decoration-skip-ink: auto;
            text-decoration-thickness: auto;
            text-underline-offset: auto;
            text-underline-position: from-font;
        }
    }

    .category-wrapper {
        flex: 1;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 16px;

        a {
            display: flex;
            align-items: center;
            gap: 24px;
            align-self: stretch;
            text-decoration: none;
        }

        img {
            width: 80px;
            height: 80px;
            border-radius: 80px;
        }

        span {
            color: var(--dark-blue, #002B46);
            font-family: Inter;
            font-size: 18px;
            font-style: normal;
            font-weight: 400;
            line-height: 28px;
        }
    }
}

@media (max-width: 768px) {
    .homepage-benefits-section {
        padding: 32px 0;

        .container {
            flex-direction: column;
            gap: 32px;
        }
        .text-wrapper {
            h2 {
                font-size: 28px;
                line-height: 32px;
            }
            p {
                font-size: 16px;
                line-height: 24px;
            }
            a {
                font-size: 16px;
                line-height: 24px;
            }
        }
    
        .category-wrapper {
            gap: 12px;
            a {
                gap: 12px;
            }
            img {
                width: 60px;
                height: 60px;
                border-radius: 60px;
            }
            span {
                font-size: 16px;
                line-height: 24px;
            }
        }
    }
}
